Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update me view preferences

PUT/workspaces/{organizationId}/me/view-preferences
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
defaultViewIdstring | null
hiddenSurfacesstring[] | null
favoritesobject[] | null
Show properties
Array of object
typestringrequired
Allowed:issuedocument
idstringrequired
titlestringrequired
identifierstring | null
addedAtstringrequired
displayobject | null
Responses
200

View preferences updated

defaultViewIdstring | nullrequired
hiddenSurfacesstring[] | nullrequired
favoritesobject[] | nullrequired
Show properties
Array of object
typestringrequired
Allowed:issuedocument
idstringrequired
titlestringrequired
identifierstring | null
addedAtstringrequired
displayobject | nullrequired
404

Saved view not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://pile.nyc/workspaces/string/me/view-preferences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "defaultViewId": "string",
  "hiddenSurfaces": [
    "string"
  ],
  "favorites": [
    {
      "type": "issue",
      "id": "string",
      "title": "string",
      "identifier": "string",
      "addedAt": "string"
    }
  ],
  "display": {
    "property1": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    },
    "property2": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    }
  }
}'
Response
{
  "defaultViewId": "string",
  "hiddenSurfaces": [
    "string"
  ],
  "favorites": [
    {
      "type": "issue",
      "id": "string",
      "title": "string",
      "identifier": "string",
      "addedAt": "string"
    }
  ],
  "display": {
    "property1": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    },
    "property2": {
      "sheetColors": {
        "property1": "string",
        "property2": "string"
      },
      "density": "comfortable",
      "hiddenColumns": [
        "string"
      ]
    }
  }
}

Was this page helpful?